org.springframework.scripting.support

## Class StandardScriptEvalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.scripting.support.StandardScriptEvalException

- All Implemented Interfaces:
    Serializable

      public class StandardScriptEvalException
      extends RuntimeException

  Exception decorating a `ScriptException` coming out of JSR-223 script evaluation, i.e. a `ScriptEngine.eval(java.lang.String, javax.script.ScriptContext)` call or `Invocable.invokeMethod(java.lang.Object, java.lang.String, java.lang.Object...)` / `Invocable.invokeFunction(java.lang.String, java.lang.Object...)` call.

  This exception does not print the Java stacktrace, since the JSR-223 `ScriptException` results in a rather convoluted text output. From that perspective, this exception is primarily a decorator for a `ScriptException` root cause passed into an outer exception.

  Since:
    4.2.2
  Author:
    Juergen Hoeller, Sebastien Deleuze
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardScriptEvalException(ScriptException ex)` Construct a new script eval exception with the specified original exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `fillInStackTrace()`
    `ScriptException` | `getScriptException()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardScriptEvalException

          public StandardScriptEvalException(ScriptException ex)

      Construct a new script eval exception with the specified original exception.

  - ### Method Detail

    - #### getScriptException

          public final ScriptException getScriptException()

    - #### fillInStackTrace

          public Throwable fillInStackTrace()

      Overrides:
        `fillInStackTrace` in class `Throwable`